@import url('https://fonts.googleapis.com/css?family=Open+Sans:300,400');


#pageOverlay {
  position: fixed;
  inset: 0;
  background: rgba(113, 44, 249, 0.95);
  display: none;
  z-index: 2147483000;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 16px;
  color: #fff;
  font-size: 26px;
  font-weight: 600;
  text-align: center;
}

/* ======= OLHO ANIMADO ======= */

.loader {
	position: relative;
	width: 78px;
	height: 78px;
	border-radius: 50%;
	box-sizing: border-box;
	background: #fff;
	border: 8px solid #131a1d;
	overflow: hidden;
	box-sizing: border-box;
}
.loader::after {
	content: '';
	position: absolute;
	left: 0;
	top: -50%;
	width: 100%;
	height: 100%;
	background: #263238 ;
	z-index: 5;
	border-bottom: 8px solid #131a1d;
	box-sizing: border-box;
	animation: eyeShade 3s infinite;
}
.loader::before {
	content: '';
	position: absolute;
	left: 20px;
	bottom: 15px;
	width: 32px;
	z-index: 2;
	height: 32px;
	background: #111;
	border-radius: 50%;
	animation: eyeMove 3s infinite;
}
@keyframes eyeShade {
	0%   { transform: translateY(0)}
	20%   { transform: translateY(5px)}
	40% , 50%   { transform: translateY(-5px)}
	60%   { transform: translateY( -8px)}
	75%   { transform: translateY( 5px)}
	100%   { transform: translateY(10px)}
}
@keyframes eyeMove {
	0%   { transform: translate(0 , 0)}
	20%   { transform: translate(0px , 5px)}
	40% , 50%   { transform: translate(0px , -5px)}
	60%   { transform: translate(-10px , -5px)}
	75%   { transform: translate(-20px , 5px)}
	100%   { transform: translate(0 , 10px)}
}

/* From Uiverse.io by jamik-dev */ 

#pageOverlay2 {
  position: fixed;
  inset: 0;
  display: none;
  z-index: 2147483000;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 16px;
}

.cube {
  height: 40px;
  width: 40px;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 6px;
}

.cube_item {
  height: 20px;
  width: 20px;
  border-radius: 10px;
  transition: all 0.2s ease-in;
}

.cube_x {
  background-color: blueviolet;
  animation: animateLoaders 1s infinite;
}

.cube_y {
  background-color: aqua;
  animation: animateLoaders 1s 0.5s infinite;
}

@keyframes animateLoaders {
  0% {
    transform: scale(0.8);
  }

  50% {
    transform: scale(1.2);
  }

  100% {
    transform: scale(0.8);
  }
}



/* DESTAQUE PULSAR NOTA 1000 */

/* HTML: <div class="loader"></div> */

.notabranca {position:relative; background-color:#fff;}
.notaverde {position:relative; background-color: #00ff73;}
.nota1000 {position:relative; background-color: #ffe800; }
.nota1000:hover {border-color: transparent !important;}
.nota1000:after, .nota1000:before {
  content: "";
  position: absolute;
  inset: 0;
  z-index: 0;
  background-color: #f9ff00;
  box-shadow: #f9ff00 0 0 1px 0px;
}
.nota1000:after{
  animation: l5 1s infinite;
  transform: perspective(300px) translateZ(0px)
}
@keyframes l5 {
  to {transform:perspective(300px) translateZ(30px);opacity:0}
}




/* PAINEL PONTUAÇÃO */

.panel-points, .panel-points a:link, .panel-points a:visited, .panel-points a:active, .panel-points a:focus, .panel-points p, .panel-points a  {		
	font-family: 'Open Sans', 'Hoefler Text', 'Liberation Serif', Times, 'Times New Roman', 'serif';
	text-decoration: none;
}

.user-points, .user-points:link {
	background-color: #51e2c3;
	color: #fff;
	text-decoration: none;
}

.user-points:visited, .user-points:hover, .user-points:active, .user-points:focus {
	color: #fff;
	background-color: #23D4AE;
	text-decoration: none;
}

.admin-points, .admin-points:link {
	background-color:#83bcfd;
	color: #fff;
	text-decoration: none;
}
.admin-points:visited, .admin-points:hover, .admin-points:active, .admin-points:focus {
	background-color:#65ACFC;
	color: #fff;
	text-decoration: none;
}

.bt-points {
	width: 100%;
  	float: left;
	margin: 0px;
  	list-style: none;
  	font-size: 38px;
  	font-weight: 300;
  	-moz-border-radius: 5px;
  	-webkit-border-radius: 5px;
  	border-radius: 5px; 
  	margin-bottom: 20px;
  	min-height: 100px;
  	position: relative;
 	text-align: center;
	padding: 15px;
	cursor: pointer;
}

.bt-points p {
	font-size: 14px;
}

.bt-points-sub{
	color: #222;
}

/*
   ESTILO DO FORMULÁRIO
   =========================
*/

.form-group-pontuacao, .xtext-center {
	margin-bottom: 5px;
	font-size: 16px;
}

/*
   ESTILO DA VISTA PEDAGÓGICA
   =========================
*/

.tagsort-tags-container { margin: 0; padding: 20px 20px 0 20px;}

.conteudo-temas {padding: 10px 0; margin: 0;}

	/*
   CABEÇALHO TEMAS
   =========================
    */

.cabecalho-temas {
    position: relative;
	border-radius: 8px;
    padding: 30px;
	margin-bottom: 10px;
    background-position:center; 
    background-repeat: no-repeat;  
    background-size: cover ;  	
	transition: all 1s ;
	z-index:1;
    width: 100%;
}

.cabecalho-temas h1 {
	color:#fff;
	font-size: 32px;
	font-weight: 300;
}


 .btn-redacao{
	color: #131314;
	background: #00ff73;
	border-radius: 20px;
	font-size: 15px;
	padding: 5px 15px;
}

.btn-proposta{
	color: #00f0ff;
	border: #00f0ff 2px solid;
	border-radius: 20px;
	font-size: 15px;
	padding: 5px 15px;
	background-color: transparent;
}

.btn-exemplo{
	color: #00f0ff;
	border: #00f0ff 2px solid;
	border-radius: 20px;
	font-size: 15px;
	padding: 5px 15px;
}
	
.cabecalho-temas::before {
	background:  rgba(17, 17, 17);
	content: "";
	position: absolute;
	border-radius: 8px;
	/* the following makes the pseudo element stretch to all sides of host element */
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	z-index: -1;
	opacity: 0.7;
	transition: all 0.5s ;
}

.cabecalho-temas:hover:before {
	/* the following makes the pseudo element stretch to all sides of host element */
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	opacity: 0.8;

}

.view-forum-table {margin: 0; line-height: normal;}

.view-forum-replys {font-size: 15px !important; }
.view-forum-replys ul {margin: 0;}
.view-forum-replys li {display: inline-flex;}
.view-forum-replys h4 { font-size: 11px; margin: 2px 0 0 5px }

.view-forum-points  {line-height: 15px !important;}
.view-forum-points h4 {line-height: 15px !important; font-size: 25px}
.view-forum-points p {line-height: 0px; font-size: 12px !important;}








.panel-pontuadores {width: auto; margin: 10px;}
.panel-pontuadores a {width: 35px; height: 35px; border: none; outline: none; }
.panel-pontuadores img {width: 35px; height: 35px; margin: 3px; border: none;  outline: none; }
.pontuadores-content {display: inline-flex;}
.pontuadores {color: #fff; width: 31px; height: 31px; margin: 3px; }
.pontuadores-text {font-size: 12px; font-weight:bold}
.pontuadores-text>p:first-child {font-size: 10px;line-height: 4px; font-weight: normal; margin: 6px 0 2px 0;}





.circle-big {
	position: relative;
	width: 150px;
	height: 150px;
	margin: 40px auto 25px auto;
  }

  .circle-big svg {
	width: 100%;
	height: 100%;
	overflow: visible !important;
  }

  .circle-big .bg {
	fill: none;
	stroke-width: 10px;
	stroke: #343035;
  }

  .circle-big .progress {
	fill: none;
	stroke-width: 11px;
	stroke: #00ff73;
	stroke-linecap: round;
	stroke-dasharray: 471.24; /* Circunferência do círculo */
	stroke-dashoffset: var(--nota);
	transform: rotate(-90deg);
	transform-origin: 50% 50%;
	animation: big 1.5s ease-in-out;
  }

  .circle-big .text {
	position: absolute;
	width: 100%;
	top: 55%;
	left: 50%;
	transform: translate(-50%, -50%);
	font-size: 50px;
	text-align: center;
	font-weight: bold;
	line-height: 22px;
	color: #363636;
  }

  .circle-big .text .small {
	font-size: 14px;
	line-height: 40px;
  }

  @keyframes big {
	from {
	  stroke-dashoffset: 471.24; /* Valor inicial da animação (100% de progresso) */
	}
	to {
		stroke-dashoffset: var(--nota);
	}
  }



  
  /* Valores de 0 a 1000, incrementando de 200 em 200 */
.correcaodetalhada li[data-value="0"] {
    --i: 0;
    --interpolated-color: hsl(0, 100%, 50%);
}

.correcaodetalhada li[data-value="40"] {
    --i: 200;
    --interpolated-color: hsl(24, 100%, 50%);
}

.correcaodetalhada li[data-value="80"] {
    --i: 400;
    --interpolated-color: hsl(48, 100%, 50%);
}

.correcaodetalhada li[data-value="120"] {
    --i: 600;
    --interpolated-color: hsl(72, 100%, 50%);
}

.correcaodetalhada li[data-value="160"] {
    --i: 800;
    --interpolated-color: hsl(96, 100%, 50%);
}

.correcaodetalhada li[data-value="200"] {
    --i: 1000;
    --interpolated-color: hsl(120, 100%, 50%);
}

.correcaodetalhada li {
	--length: 1000; /* Número total de linhas, deve corresponder ao valor do estilo inline */
	--stop: calc(100% / var(--length) * var(--i));
	position: relative;
	margin: 1rem 0;
	padding: 2rem 1rem 1rem;
	box-shadow: 0 5px 13px -5px rgba(116, 47, 255, 0.205);
	border-radius: 0.25rem;
	overflow: hidden;
	background-color: white;
}

.correcaodetalhada li::before {
    content: '';
    display: block;
    width: 100%;
    height: 1rem;
    position: absolute;
    top: 0;
    left: 0;
    background: linear-gradient(to right, var(--interpolated-color) var(--stop), white var(--stop));
}
  
  .correcaodetalhada h3 {
	  display: flex;
	  align-items: baseline;
	  margin: 0 ;
	  color: rgb(70, 70, 70);
  }
  
  .correcaodetalhada h3::before {
	font-size: 15px;
	display: flex;
	justify-content: center;
	align-items: center;
	flex: 0 0 auto;
	margin-right: 5px;
	width: 3rem;
	height: 3rem;
	content: attr(data-value); /* Define o conteúdo com o valor de data-value */
	padding: 12px;
	border-radius: 50%;
	background-color: var(--interpolated-color);
	color: #131314;
  }

  .correcaodetalhada .comentarioai {
	padding: 10px;
	border: 1px solid #6529dd;
	border-radius: 8px;
	text-justify: inherit;
}

  .correcaodetalhada p {
	margin: 0;
	color: #131314;
	font-size: 1em;
	font-family: 'Source Sans Pro';
}

.correcaodetalhada ol {
	list-style: none;
	padding: 0;
	

}



.correcaodetalhada br { display: block; margin: 10px 0; content: " ";}

  
  
/*
   ESTILO LISTAGEM FORUM
   =========================
*/

.corrija-forums {
	background-color: #fff;
	border: 0 !important;
	display: ruby;
}

.corrija-forums .item-temas {
	float: none !important;
}

.corrija-forums .btn{
	margin-top: 20px;
	font-size: 15px;
	color: #131314;
	width: 100%;
	max-height: 54px;
	background-color: rgb(0, 240, 255, 0.4);
}

.corrija-forums .btn-index{
	color: #fff;
	background: #712cf9;
    box-shadow: rgb(113, 44, 249, 0.5) 0px 5px 13px -2px;
}

.corrija-forums .btn-temas{
	color: #131314;
	background: rgb(0, 240, 255);
    box-shadow: rgb(0, 224, 255, 0.2) 0px 5px 13px -2px;
}

.corrija-forums .btn-redacao{
	color: #131314;
	background: #00ff73;
    box-shadow: #00ec6a 0px 5px 13px -2px; 
}

.corrija-forums .linha {
	border: 0 !important;
	padding: 2px !important;
	margin: 0 !important;
	max-width: 310px ;
	display: grid;
}
.corrija-forums .linha .coluna{
	padding: 0 !important;
	border: 0 !important;
	width: 100%;	
}

.corrija-forums .linha .fixo::before{
	content: '📌';
	font-size: 35px;
  	transform: scaleX(-1);
	position: absolute;
	z-index: 1;
	left: -15px;
	top: -15px;
}


@media (max-width: 768px) {
    .corrija-forums .linha {
		max-width: none;
		padding: 10px 0 !important;	
    }
}

.corrija-forums .borda {
	border: 2px solid;
	border-color: transparent;
	padding: 0px !important;
	border-radius: 8px;
	box-shadow: rgba(179, 179, 179, 0.25) 0px 8px 24px 0px;
}

.corrija-forums .iconmedal {position: relative; z-index: 5;}
.corrija-forums .iconmedal::before {
    position: absolute;
    top: -30px;
	left: 85px;
    z-index:-1;
    content: "🏅";
    font-size: 45px;
}

.corrija-forums .icontrofeu {position: relative; z-index: 4;}
.corrija-forums .icontrofeu::before {
    position: absolute;
    top: -10px;
	left: 65px;
    z-index:1;
    content: "🏅";
    font-size: 45px;
}

.corrija-forums .borda-index:hover {
	border-color: #712cf9;
}

.corrija-forums .borda:hover .btn-index {
	background: #6529dd;
    box-shadow: rgb(113, 44, 249, 0.5) 0px 5px 13px -2px;
	transition-duration: 1s;
}

.corrija-forums .borda-forum:hover {
	border-color: rgb(0, 240, 255, 0.4);
}

.corrija-forums .borda-temas:hover {
	border-color: #00f0ff;
}

.corrija-forums .borda:hover .btn-temas {
	background: #00e6f7;
	transition-duration: 1s;
}

.corrija-forums .borda-redacao:hover {
	border-color: #00ff73;
}

.corrija-forums .borda:hover .btn-redacao {
	background: #00ec6a;
	transition-duration: 1s;
}

.corrija-forums .capa{
	padding: 20px 20px 0px 20px;
	height: 80px;
	z-index: 1;
	position: relative;
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	border-radius: 8px 8px 0 0;
}


.corrija-forums .corpo{
	padding: 0px 20px 20px 20px;
	margin-top: 5px;
	z-index: 1;
	position: relative;
}

.corrija-forums .time-temas {
	background: #00f0ff;
	display: inline;
	padding: 1px 3px !important;
  	color:#131314;
	font-weight: bold;
	margin: 0 !important;
	line-height: normal;
	font-size: 12px;
}

.corrija-forums .time-index {
	background: #712cf9 ;
	display: inline;
	padding: 1px 3px !important;
  	color:#fff;
	font-weight: bold;
	margin: 0 !important;
	line-height: normal;
	font-size: 12px;
}

.corrija-forums .time-redacao {
	background: #00ff73 ;
	display: inline;
	padding: 1px 3px !important;
  	color:#131314;
	font-weight: bold;
	margin: 0 !important;
	line-height: normal;
	font-size: 12px;
	z-index: 10;
}

.corrija-forums .nota-redacao {
	font-size: 35px;
	line-height: 40px;
	color: #131314;
	font-weight: bold;
	text-align: end;
	z-index: 10 !important;
}


.corrija-forums h3, h3 a{
	font-size: 22px;
	margin-bottom: 0px;
	color: #131314 !important;
	border: 0 !important;
	text-transform: none !important;
}

.corrija-forums p {
	font-size: 12px;
	font-weight: 600;
	color: #131314;
	border: 0 !important;
	text-transform: none !important;
	}
.corrija-forums .user {
	font-size: 12px;
	color: #131314;
	font-weight: bold;;
}

.corrija-forums .user span {
	font-size: 15px;
	font-weight: bold;
	color: #131314;
}

.corrija-forums .stats { display: flex; margin-top: 10px;}

.corrija-forums .stats h4 {
	color: #131314;
	font-size: 12px;
	font-weight: 600;
	margin: 0;
}

.corrija-forums .stats i {
	margin-right: 3px;
	color: #131314;
}


